Subject: [bug#64155] [PATCH] gnu: emacs-piem: Update to 0.5.0.

From: Andrew Tropin <[email-masked]>
Date: Mon, 19 Jun 2023 20:32:58 +0400

On 2023-06-19 17:39, Jelle Licht wrote:

> Hi Andrew + peanut gallery,
>
> Andrew Tropin <[email-masked]> writes:
>
>> On 2023-06-18 21:38, [email-masked] wrote:
>>
>>> From: Jelle Licht <[email-masked]>
>>>
>>> * gnu/packages/emacs-xyz.scm (emacs-piem): Update to 0.5.0.
>>> [propagated-inputs]: Add emacs-debbugs.
>>> ---
>>>
>>>  gnu/packages/emacs-xyz.scm | 7 ++++---
>>>  1 file changed, 4 insertions(+), 3 deletions(-)
>>>
>>> diff --git a/gnu/packages/emacs-xyz.scm b/gnu/packages/emacs-xyz.scm
>>> index f46af73aec..08ec87b94c 100644
>>> --- a/gnu/packages/emacs-xyz.scm
>>> +++ b/gnu/packages/emacs-xyz.scm
>>> @@ -8337,7 +8337,7 @@ (define-public emacs-debbugs
>>>  (define-public emacs-piem
>>>    (package
>>>      (name "emacs-piem")
>>> -    (version "0.4.0")
>>> +    (version "0.5.0")
>>>      (source
>>>       (origin
>>>         (method git-fetch)
>>> @@ -8346,7 +8346,7 @@ (define-public emacs-piem
>>>               (commit (string-append "v" version))))
>>>         (file-name (string-append name "-" version "-checkout"))
>>>         (sha256
>>> -        (base32 "0wr6n6wvznngjdp4c0pmdr4xz05dark0kxi5svzhzxsg3rdaql3z"))))
>>> +        (base32 "0smdb1iph2q1xvxix5c93llckcxh7kmhg6pxgyrm88j736m4l16q"))))
>>>      (build-system emacs-build-system)
>>>      (arguments
>>>       (list #:phases
>>> @@ -8359,7 +8359,8 @@ (define-public emacs-piem
>>>      (inputs
>>>       (list b4))
>>>      (propagated-inputs
>>> -     (list emacs-elfeed
>>> +     (list emacs-debbugs
>>> +           emacs-elfeed
>>>             emacs-notmuch))
>>>      (home-page "https://docs.kyleam.com/piem")
>>>      (synopsis "Glue for working with public-inbox archives")
>>>
>>> base-commit: 726f2a944730a1edbdbebfe57fb9e7e0ba47d83e
>>
>> Hi Jelle!
>>
>> Thank you very much for the patch.
>>
>> IMHO, optional dependencies should not be propagated.  On user side
>> installing additional packages is easier than transforming existing
>> package and removing unneeded propagated deps.  Personally, I would
>> remove all the propagated inputs from piem and let the user install what
>> he needs for his particular use case.
>
> I'm of two minds, both for this particular patch, and the policy in
> general. I understand the point you are making, and see the elegance of
> offering a clean set of composable parts for users (and downstream) to
> compose.
>
> OTOH, it makes getting full-featured (and compiled) packages a chore,
> where users or downstream has to pick up the slack. Put another
> way; someone somewhere has to make a package variant if you want to
> cover all use cases.
>
> It is my understanding the guideline is (/was?) to have packages be
> full-featured, and offer a '-minimal' version in cases where it makes
> sense (e.g. bootstrapping, less-than-sane dependency graphs). If this
> guideline has since changed, or (in this case) the Emacs teams decides
> otherwise, that is something I'm obviously fine with. Some practical
> tips on how to make byte compilation happen would still be appreciated
> in that case :-).

I think we can do byte/native compilation without propagating deps, so
it's almost ready to consume, but doesn't pollute the profile.

-- 
Best regards,
Andrew Tropin